-- 采购订单模板 操作校验单元 预置数据

-- 数据方向一致校验
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit where FID = 1470390995697829888) 
insert into t_msbd_dmfunit ( FID, FAREAJSON_TAG, FMASTERID, FSTATUS, FAREAJSON, FNUMBER, FAREADESCRIPTION, FCREATETIME, FENTITYID, FENABLE, FMODIFIERID, FISPRESET, FMODIFYTIME, FCREATORID, FSCOPETYPE) values (1470390995697829888, '{"filterRow":[],"forList":false}',1470390995697829888, 'C', ' ', 'mspur_potpl_amountdirection', ' ',{ts '2018-08-08 18:08:00'},'mspur_potpl', '1', 1, '1',{ts '2018-08-08 18:08:00'}, 1, 'JY');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2LLH800IAV7M') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1470390995697829888, '采购服务_订单模板_数据方向一致', '数据方向一致是指数量、税额、折扣额、金额、价税合计这几个字段 在录入的时候是否同为正数或者同为负数', 'zh_CN', '2LLH800IAV7M');
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2LLH800IAV7N') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1470390995697829888, '采購服務_訂單模板_數據方向一致', '數據方向一致是指數量、稅額、折扣額、金額、價稅合計這幾個字段 在錄入的時候是否同為正數或者同為負數', 'zh_TW', '2LLH800IAV7N');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunitentry_p where FENTRYID = 1470390995764938752) 
insert into t_msbd_dmfunitentry_p ( FID, FPLUGINCLASSURL, FENTRYID, FPLUGINDESCRIPTION, FPLUGINJSON, FPLUGINCLASSNAME, FSEQ, FPLUGINENABLE) values (1470390995697829888, 'kd.mpscmm.mspur.validator.AmountDirectionValidator',1470390995764938752, '数据方向一致校验器', '{"className":"kd.mpscmm.mspur.validator.AmountDirectionValidator","enabled":true,"description":"数据方向一致校验器","rowKey":0,"type":0,"events":[],"scriptNumber":"数据方向一致校验器","dynamicPlugin":false}', '数据方向一致校验器',1,'1');

-- 核心信息校验
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit where FID = 1443492249936630784) 
insert into t_msbd_dmfunit ( FID, FAREAJSON_TAG, FMASTERID, FSTATUS, FAREAJSON, FNUMBER, FAREADESCRIPTION, FCREATETIME, FENTITYID, FENABLE, FMODIFIERID, FISPRESET, FMODIFYTIME, FCREATORID, FSCOPETYPE) values (1443492249936630784, '{"filterRow":[],"forList":false}',1443492249936630784, 'C', ' ', 'mspur_potpl_billcoreinfo', ' ',{ts '2018-08-08 18:08:00'},'mspur_potpl', '1', 1, '1',{ts '2018-08-08 18:08:00'}, 1, 'JY');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2I=MAARAOYXA') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1443492249936630784, '采购服务_订单模板_核心信息校验', '统一处理的业务组织、业务组、业务员、部门相关校验', 'zh_CN', '2I=MAARAOYXA');
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2I=MAARAOYXB') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1443492249936630784, '采購服務_訂單模板_核心信息校驗', '統一處理的業務組織、業務組、業務員、部門相關校驗', 'zh_TW', '2I=MAARAOYXB');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunitentry_p where FENTRYID = 1443492250129568768) 
insert into t_msbd_dmfunitentry_p ( FID, FPLUGINCLASSURL, FENTRYID, FPLUGINDESCRIPTION, FPLUGINJSON, FPLUGINCLASSNAME, FSEQ, FPLUGINENABLE) values (1443492249936630784, 'kd.mpscmm.msbd.opvalidate.validator.BillCoreInfoValidator',1443492250129568768, '统一处理的业务组织、业务组、业务员、部门相关属性校验', '{"className":"kd.mpscmm.msbd.opvalidate.validator.BillCoreInfoValidator","enabled":true,"description":"统一处理的业务组织、业务组、业务员、部门相关属性校验","rowKey":0,"type":0,"events":[],"scriptNumber":"核心字段校验","dynamicPlugin":false}', '核心字段校验',1,'1');

-- 业务类型校验
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit where FID = 1432638811459842048) 
insert into t_msbd_dmfunit ( FID, FAREAJSON_TAG, FMASTERID, FSTATUS, FAREAJSON, FNUMBER, FAREADESCRIPTION, FCREATETIME, FENTITYID, FENABLE, FMODIFIERID, FISPRESET, FMODIFYTIME, FCREATORID, FSCOPETYPE) values (1432638811459842048, '{"filterRow":[],"forList":false}',1432638811459842048, 'C', ' ', 'mspur_potpl_biztype', ' ',{ts '2018-08-08 18:08:00'},'mspur_potpl', '1', 1, '1',{ts '2018-08-08 18:08:00'}, 1, 'JY');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2GZMDHRR380S') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1432638811459842048, '采购服务_订单模板_业务类型校验', '统一处理的单据类型、业务类型、行类型、物料业务属性相关校验', 'zh_CN', '2GZMDHRR380S');
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2GZMDHRR380T') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1432638811459842048, '采購服務_訂單模板_業務類型校驗', '統一處理的單據類型、業務類型、行類型、物料業務屬性相關校驗', 'zh_TW', '2GZMDHRR380T');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunitentry_p where FENTRYID = 1432640061043664896) 
insert into t_msbd_dmfunitentry_p ( FID, FPLUGINCLASSURL, FENTRYID, FPLUGINDESCRIPTION, FPLUGINJSON, FPLUGINCLASSNAME, FSEQ, FPLUGINENABLE) values (1432638811459842048, 'kd.mpscmm.msbd.opvalidate.validator.BizTypeValidator',1432640061043664896, '统一处理的单据类型、业务类型、行类型、物料业务属性完整校验', '{"className":"kd.mpscmm.msbd.opvalidate.validator.BizTypeValidator","enabled":true,"description":"统一处理的单据类型、业务类型、行类型、物料业务属性完整校验","rowKey":0,"type":0,"events":[],"scriptNumber":"业务类型相关属性校验","dynamicPlugin":false}', '业务类型相关属性校验',1,'1');

-- 折扣方式校验
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit where FID = 1470392692897755136) 
insert into t_msbd_dmfunit ( FID, FAREAJSON_TAG, FMASTERID, FSTATUS, FAREAJSON, FNUMBER, FAREADESCRIPTION, FCREATETIME, FENTITYID, FENABLE, FMODIFIERID, FISPRESET, FMODIFYTIME, FCREATORID, FSCOPETYPE) values (1470392692897755136, '{"filterRow":[],"forList":false}',1470392692897755136, 'C', ' ', 'mspur_potpl_discounttype', ' ',{ts '2018-08-08 18:08:00'},'mspur_potpl', '1', 1, '1',{ts '2018-08-08 18:08:00'}, 1, 'JY');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2LLHJDBWC+G1') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1470392692897755136, '采购服务_订单模板_折扣方式校验', '折扣方式校验器：单位折扣（率）不能大于单价或含税单价', 'zh_CN', '2LLHJDBWC+G1');
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2LLHJDBWC+G2') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1470392692897755136, '采購服務_訂單模板_折扣方式校驗', '折扣方式校驗器：單位折扣（率）不能大於單價或含稅單價', 'zh_TW', '2LLHJDBWC+G2');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunitentry_p where FENTRYID = 1470392692914532352) 
insert into t_msbd_dmfunitentry_p ( FID, FPLUGINCLASSURL, FENTRYID, FPLUGINDESCRIPTION, FPLUGINJSON, FPLUGINCLASSNAME, FSEQ, FPLUGINENABLE) values (1470392692897755136, 'kd.mpscmm.mspur.validator.DiscountTypeValidator',1470392692914532352, '折扣方式校验器', '{"className":"kd.mpscmm.mspur.validator.DiscountTypeValidator","enabled":true,"description":"折扣方式校验器","rowKey":0,"type":0,"events":[],"scriptNumber":"折扣方式校验器","dynamicPlugin":false}', '折扣方式校验器',1,'1');

-- 费用物料费用项目必录校验
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit where FID = 1470395770418006016) 
insert into t_msbd_dmfunit ( FID, FAREAJSON_TAG, FMASTERID, FSTATUS, FAREAJSON, FNUMBER, FAREADESCRIPTION, FCREATETIME, FENTITYID, FENABLE, FMODIFIERID, FISPRESET, FMODIFYTIME, FCREATORID, FSCOPETYPE) values (1470395770418006016, '{"filterRow":[],"forList":false}',1470395770418006016, 'C', ' ', 'mspur_potpl_expenseitem', ' ',{ts '2018-08-08 18:08:00'},'mspur_potpl', '1', 1, '1',{ts '2018-08-08 18:08:00'}, 1, 'JY');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2LLI3TZKL2+C') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1470395770418006016, '采购服务_订单模板_费用项目', '物料为费用物料费用项目必录', 'zh_CN', '2LLI3TZKL2+C');
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2LLI3TZKL2+D') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1470395770418006016, '采購服務_訂單模板_費用項目', '物料為費用物料費用項目必錄', 'zh_TW', '2LLI3TZKL2+D');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunitentry_p where FENTRYID = 1470395770434783232) 
insert into t_msbd_dmfunitentry_p ( FID, FPLUGINCLASSURL, FENTRYID, FPLUGINDESCRIPTION, FPLUGINJSON, FPLUGINCLASSNAME, FSEQ, FPLUGINENABLE) values (1470395770418006016, 'kd.mpscmm.mspur.validator.PurOrderBillExpenseItemValidator',1470395770434783232, '费用项目必录校验', '{"className":"kd.mpscmm.mspur.validator.PurOrderBillExpenseItemValidator","enabled":true,"description":"费用项目必录校验","rowKey":0,"type":0,"events":[],"scriptNumber":"费用项目必录校验","dynamicPlugin":false}', '费用项目必录校验',1,'1');

-- 物料请购校验
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit where FID = 1470393547050987520) 
insert into t_msbd_dmfunit ( FID, FAREAJSON_TAG, FMASTERID, FSTATUS, FAREAJSON, FNUMBER, FAREADESCRIPTION, FCREATETIME, FENTITYID, FENABLE, FMODIFIERID, FISPRESET, FMODIFYTIME, FCREATORID, FSCOPETYPE) values (1470393547050987520, '{"filterRow":[],"forList":false}',1470393547050987520, 'C', ' ', 'mspur_potpl_needrequest', ' ',{ts '2018-08-08 18:08:00'},'mspur_potpl', '1', 1, '1',{ts '2018-08-08 18:08:00'}, 1, 'JY');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2LLHPM3+=WGH') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1470393547050987520, '采购服务_订单模板_物料请购校验', '物料明细中的物料是否需要请购', 'zh_CN', '2LLHPM3+=WGH');
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2LLHPM3+=WGI') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1470393547050987520, '采購服務_訂單模板_物料請購校驗', '物料明細中的物料是否需要請購', 'zh_TW', '2LLHPM3+=WGI');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunitentry_p where FENTRYID = 1470393547076153344) 
insert into t_msbd_dmfunitentry_p ( FID, FPLUGINCLASSURL, FENTRYID, FPLUGINDESCRIPTION, FPLUGINJSON, FPLUGINCLASSNAME, FSEQ, FPLUGINENABLE) values (1470393547050987520, 'kd.mpscmm.mspur.validator.NeedRequestValidator',1470393547076153344, '物料请购校验器', '{"className":"kd.mpscmm.mspur.validator.NeedRequestValidator","enabled":true,"description":"物料请购校验器","rowKey":0,"type":0,"events":[],"scriptNumber":"物料请购校验器","dynamicPlugin":false}', '物料请购校验器',1,'1');

-- 行终止校验
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit where FID = 1470398296865409024) 
insert into t_msbd_dmfunit ( FID, FAREAJSON_TAG, FMASTERID, FSTATUS, FAREAJSON, FNUMBER, FAREADESCRIPTION, FCREATETIME, FENTITYID, FENABLE, FMODIFIERID, FISPRESET, FMODIFYTIME, FCREATORID, FSCOPETYPE) values (1470398296865409024, '{"filterRow":[],"forList":false}',1470398296865409024, 'C', ' ', 'mspur_potpl_rowterminate', ' ',{ts '2018-08-08 18:08:00'},'mspur_potpl', '1', 1, '1',{ts '2018-08-08 18:08:00'}, 1, 'JY');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2LLIL7ZJMHN3') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1470398296865409024, '采购服务_订单模板_行终止的校验器', '物料明细行已经终止不能反审核', 'zh_CN', '2LLIL7ZJMHN3');
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2LLIL7ZJMHN4') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1470398296865409024, '采購服務_訂單模板_行終止的校驗器', '物料明細行已經終止不能反審核', 'zh_TW', '2LLIL7ZJMHN4');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunitentry_p where FENTRYID = 1470398296890574848) 
insert into t_msbd_dmfunitentry_p ( FID, FPLUGINCLASSURL, FENTRYID, FPLUGINDESCRIPTION, FPLUGINJSON, FPLUGINCLASSNAME, FSEQ, FPLUGINENABLE) values (1470398296865409024, 'kd.mpscmm.mspur.validator.RowTerminateValidator',1470398296890574848, '行终止的校验器', '{"className":"kd.mpscmm.mspur.validator.RowTerminateValidator","enabled":true,"description":"行终止的校验器","rowKey":0,"type":0,"events":[],"scriptNumber":"行终止的校验器","dynamicPlugin":false}', '行终止的校验器',1,'1');

-- 货源清单控制校验
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit where FID = 1470399166160056320) 
insert into t_msbd_dmfunit ( FID, FAREAJSON_TAG, FMASTERID, FSTATUS, FAREAJSON, FNUMBER, FAREADESCRIPTION, FCREATETIME, FENTITYID, FENABLE, FMODIFIERID, FISPRESET, FMODIFYTIME, FCREATORID, FSCOPETYPE) values (1470399166160056320, '{"filterRow":[],"forList":false}',1470399166160056320, 'C', ' ', 'mspur_potpl_soucecontrol', ' ',{ts '2018-08-08 18:08:00'},'mspur_potpl', '1', 1, '1',{ts '2018-08-08 18:08:00'}, 1, 'JY');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2LLIRK/RFFRC') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1470399166160056320, '采购服务_订单模板_货源清单控制', '物料明细是否不满足货源控制', 'zh_CN', '2LLIRK/RFFRC');
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2LLIRK/RFFRD') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1470399166160056320, '采購服務_訂單模板_貨源清單控製', '物料明細是否不滿足貨源控製', 'zh_TW', '2LLIRK/RFFRD');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunitentry_p where FENTRYID = 1470399166218776576) 
insert into t_msbd_dmfunitentry_p ( FID, FPLUGINCLASSURL, FENTRYID, FPLUGINDESCRIPTION, FPLUGINJSON, FPLUGINCLASSNAME, FSEQ, FPLUGINENABLE) values (1470399166160056320, 'kd.mpscmm.mspur.validator.SouceControlValidator',1470399166218776576, '货源清单控制校验', '{"className":"kd.mpscmm.mspur.validator.SouceControlValidator","enabled":true,"description":"货源清单控制校验","rowKey":0,"type":0,"events":[],"scriptNumber":"货源清单控制校验","dynamicPlugin":false}', '货源清单控制校验',1,'1');

-- 业务状态校验
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit where FID = 1432625419491766272) 
insert into t_msbd_dmfunit ( FID, FAREAJSON_TAG, FMASTERID, FSTATUS, FAREAJSON, FNUMBER, FAREADESCRIPTION, FCREATETIME, FENTITYID, FENABLE, FMODIFIERID, FISPRESET, FMODIFYTIME, FCREATORID, FSCOPETYPE) values (1432625419491766272, '{"filterRow":[],"forList":false}',1432625419491766272, 'C', ' ', 'mspur_potpl_status', ' ',{ts '2018-08-08 18:08:00'},'mspur_potpl', '1', 1, '1',{ts '2018-08-08 18:08:00'}, 1, 'JY');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2GZJWXXF+6GQ') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1432625419491766272, '采购服务_订单模板_业务状态校验', '单据业务状态的统一校验单元，包括单据状态、关闭状态、行关闭状态、行终止状态、变更状态、作废状态', 'zh_CN', '2GZJWXXF+6GQ');
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2GZJWXXF+6GR') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1432625419491766272, '采購服務_訂單模板_業務狀態校驗', '單據業務狀態的統一校驗單元，包括單據狀態、關閉狀態、行關閉狀態、行終止狀態、變更狀態、作廢狀態', 'zh_TW', '2GZJWXXF+6GR');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunitentry_p where FENTRYID = 1432630659611912192) 
insert into t_msbd_dmfunitentry_p ( FID, FPLUGINCLASSURL, FENTRYID, FPLUGINDESCRIPTION, FPLUGINJSON, FPLUGINCLASSNAME, FSEQ, FPLUGINENABLE) values (1432625419491766272, 'kd.mpscmm.msbd.opvalidate.validator.BizStatusValidator',1432630659611912192, '单据业务状态的统一校验单元', '{"className":"kd.mpscmm.msbd.opvalidate.validator.BizStatusValidator","enabled":true,"description":"单据业务状态的统一校验单元","rowKey":0,"type":0,"events":[],"scriptNumber":"业务状态校验","dynamicPlugin":false}', '业务状态校验',1,'1');

-- 供应商采购冻结校验
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit where FID = 1470397085852381184) 
insert into t_msbd_dmfunit ( FID, FAREAJSON_TAG, FMASTERID, FSTATUS, FAREAJSON, FNUMBER, FAREADESCRIPTION, FCREATETIME, FENTITYID, FENABLE, FMODIFIERID, FISPRESET, FMODIFYTIME, FCREATORID, FSCOPETYPE) values (1470397085852381184, '{"filterRow":[],"forList":false}',1470397085852381184, 'C', ' ', 'mspur_potpl_supplierhold', ' ',{ts '2018-08-08 18:08:00'},'mspur_potpl', '1', 1, '1',{ts '2018-08-08 18:08:00'}, 1, 'JY');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2LLICDT=BJOY') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1470397085852381184, '采购服务_订单模板_供应商采购冻结', '供应商采购冻结状态不允许提交', 'zh_CN', '2LLICDT=BJOY');
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2LLICDT=BJOZ') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1470397085852381184, '采購服務_訂單模板_供應商采購凍結', '供應商采購凍結狀態不允許提交', 'zh_TW', '2LLICDT=BJOZ');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunitentry_p where FENTRYID = 1470397085877547008) 
insert into t_msbd_dmfunitentry_p ( FID, FPLUGINCLASSURL, FENTRYID, FPLUGINDESCRIPTION, FPLUGINJSON, FPLUGINCLASSNAME, FSEQ, FPLUGINENABLE) values (1470397085852381184, 'kd.mpscmm.mspur.validator.PurOrderSupplierPurChaseHoldValidator',1470397085877547008, '供应商采购冻结校验器', '{"className":"kd.mpscmm.mspur.validator.PurOrderSupplierPurChaseHoldValidator","enabled":true,"description":"供应商采购冻结校验器","rowKey":0,"type":0,"events":[],"scriptNumber":"供应商采购冻结校验器","dynamicPlugin":false}', '供应商采购冻结校验器',1,'1');

-- 付款计划付款金额校验
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit where FID = 1479612504131800064) 
insert into t_msbd_dmfunit ( FID, FAREAJSON_TAG, FMASTERID, FSTATUS, FAREAJSON, FNUMBER, FAREADESCRIPTION, FCREATETIME, FENTITYID, FENABLE, FMODIFIERID, FISPRESET, FMODIFYTIME, FCREATORID, FSCOPETYPE) values (1479612504131800064, '{"filterRow":[],"forList":false}',1479612504131800064, 'C', ' ', 'mspur_potpl_payamount', ' ',{ts '2018-08-08 18:08:00'},'mspur_potpl', '1', 1, '1',{ts '2018-08-08 18:08:00'}, 1, 'JY');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2MQO8/0O8HW5') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1479612504131800064, '采购服务_订单模板_付款金额校验', '校验付款计划的总付款金额与价税合计是否一致', 'zh_CN', '2MQO8/0O8HW5');
IF NOT EXISTS (SELECT 1 from t_msbd_dmfunit_L where fpkid = '2MQO8/0O8HW4') 
insert into t_msbd_dmfunit_L ( fid, fname, fdescription, flocaleid, fpkid) values ( 1479612504131800064, '采購服務_訂單模板_付款金額校驗', '校驗付款計劃的總付款金額與價稅合計是否一致', 'zh_TW', '2MQO8/0O8HW4');

IF NOT EXISTS (SELECT 1 from t_msbd_dmfunitentry_p where FENTRYID = 1479612504215686144) 
insert into t_msbd_dmfunitentry_p ( FID, FPLUGINCLASSURL, FENTRYID, FPLUGINDESCRIPTION, FPLUGINJSON, FPLUGINCLASSNAME, FSEQ, FPLUGINENABLE) values (1479612504131800064, 'kd.mpscmm.mspur.validator.PoAmountPlanValidator',1479612504215686144, '付款金额校验插件', '{"className":"kd.mpscmm.mspur.validator.PoAmountPlanValidator","enabled":true,"description":"付款金额校验插件","rowKey":0,"type":0,"events":[],"scriptNumber":"付款金额校验插件","dynamicPlugin":false}', '付款金额校验插件',1,'1');
